<h2>Medebezoekers:</h2>

<div *ngIf="!loginCheck()">
  Log in om covisiters te kunnen zien.
</div>

<div *ngIf="loginCheck()">
  <ul class="covisiters">
    <li *ngFor="let covisiter of covisiters">
      <span *ngIf="loginCheck()">
        <button class="delete" title="delete covisiter" (click)="delete(covisiter)">x</button>
      </span>
      <a routerLink="/covisiter/{{ covisiter.userid }}/{{ covisiter._id }}">
        <span class="badge">{{ covisiter.name }}</span>
      </a>
    </li>
  </ul>

  <button class="btn btn-secondary" (click)="addButton()">Toevoegen</button>
</div>
<div *ngIf="addBool">
  <div>
    <label
      >Naam:
      <input [(ngModel)]="covisiter.name" placeholder="Naam" />
    </label>
    <br />
    <label
      >Adres:
      <input [(ngModel)]="covisiter.address" placeholder="Adres" />
    </label>
    <br />
    <label
      >Telefoonnummer:
      <input [(ngModel)]="covisiter.phone" placeholder="Telefoonnummer" />
    </label>
    <br />
    <label
      >Verjaardag:
      <input type="date" [(ngModel)]="covisiter.birthdate" placeholder="Verjaardag" />
    </label>
    <br />
    <button class="btn btn-secondary" (click)="add()">Opslaan</button>
  </div>
</div>
